Name: mozc
Summary: Japanese Input Method Editor designed for multi-platform
Version: 1.11.1522.102
Release: %mkrel 12
Group: System/Internationalization
License: BSD-like
URL: http://code.google.com/p/mozc/
Source0: http://mozc.googlecode.com/files/mozc-%{version}.tar.bz2
Source2: http://www.post.japanpost.jp/zipcode/dl/kogaki/zip/ken_all.zip
Source3: http://www.post.japanpost.jp/zipcode/dl/jigyosyo/zip/jigyosyo.zip
Patch0: mozc-support-new-ibus.patch
Patch1: mozc-fix-dirs.patch
Patch2: mozc-1.11.1522.102-gcc5.patch
BuildRequires: pkgconfig(gdk-2.0)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gobject-2.0)
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: python-devel
BuildRequires: ibus-devel >= 1.3.9
BuildRequires: dbus-devel
BuildRequires: openssl-devel
BuildRequires: zlib-devel
BuildRequires: subversion
BuildRequires: curl-devel
BuildRequires: gtest-devel
BuildRequires: protobuf-devel
BuildRequires: qt4-devel
BuildRequires: zinnia-devel
BuildRequires: zinnia-tomoe-ja
BuildRequires: gyp
BuildRequires: pkgconfig(xrandr)
BuildRequires: pkgconfig(xcursor)
BuildRequires: pkgconfig(xinerama)
BuildRequires: pkgconfig(xt)
Requires: zinnia-tomoe-ja

%description
Mozc is a Japanese Input Method Editor (IME) designed for
multi-platform such as Chromium OS, Windows, Mac and Linux.
This open-source project originates from Google Japanese Input.

%package -n ibus-mozc
Group: System/Internationalization
Summary: Ibus - mozc engine
Requires: ibus
Requires: mozc = %{version}

%description -n ibus-mozc
ibus - mozc engine.

%package tools
Group:     System/Internationalization
Summary:   Mozc config tools
Requires:  mozc = %{version}
Requires:  qt4-common

%description tools
Mozc config tools.

%prep
%setup -q -a 2 -a 3
%patch2 -p1 -b .gcc5
pushd data/dictionary_oss
python ../../dictionary/gen_zip_code_seed.py --zip_code=../../KEN_ALL.CSV --jigyosyo=../../JIGYOSYO.CSV >> dictionary09.txt
popd

%build
%setup_compile_flags
GYP_DEFINES="use_libprotobuf=1 zinnia_model_file=%{_prefix}/lib/zinnia/model/tomoe/handwriting-ja.model ibus_mozc_path=%{_libexecdir}/ibus-engine-mozc ibus_mozc_icon_path=%{_datadir}/ibus-mozc/product_icon.png" python build_mozc.py gyp --gypdir=%{_bindir} --server_dir=%{_libexecdir}/mozc
python build_mozc.py build_tools -c Release
python build_mozc.py build -c Release unix/ibus/ibus.gyp:ibus_mozc unix/emacs/emacs.gyp:mozc_emacs_helper server/server.gyp:mozc_server gui/gui.gyp:mozc_tool renderer/renderer.gyp:mozc_renderer

%install
install -d %{buildroot}%{_libexecdir}/mozc
install -d %{buildroot}%{_libexecdir}/mozc/documents
install -p -m0755 out_linux/Release/mozc_server %{buildroot}%{_libexecdir}/mozc
install -p -m0755 out_linux/Release/mozc_tool %{buildroot}%{_libexecdir}/mozc
install -p -m0755 out_linux/Release/mozc_renderer %{buildroot}%{_libexecdir}/mozc
install -p -m0644 data/installer/credits_{en,ja}.html %{buildroot}%{_libexecdir}/mozc/documents

# ibus-mozc
install -d %{buildroot}%{_datadir}/ibus/component
install -d %{buildroot}%{_datadir}/ibus-mozc
install -p -m0755 out_linux/Release/ibus_mozc %{buildroot}%{_libexecdir}/ibus-engine-mozc
install -p -m0644 out_linux/Release/obj/gen/unix/ibus/mozc.xml %{buildroot}%{_datadir}/ibus/component/
(cd data/images/unix;
install -p -m0644 ime_product_icon_opensource-32.png %{buildroot}%{_datadir}/ibus-mozc/product_icon.png
for i in ui-*.png; do
	install -p -m0644 $i %{buildroot}%{_datadir}/ibus-mozc/${i//ui-/}
done)

%files
%dir %{_libexecdir}/mozc
%{_libexecdir}/mozc/mozc_server
%{_libexecdir}/mozc/documents

%files -n ibus-mozc
%dir %{_datadir}/ibus-mozc
%{_libexecdir}/ibus-engine-mozc
%{_libexecdir}/mozc/mozc_renderer
%{_datadir}/ibus/component/mozc.xml
%{_datadir}/ibus-mozc/*.png

%files tools
%{_libexecdir}/mozc/mozc_tool


%changelog
* Mon Feb 15 2016 umeabot <umeabot> 1.11.1522.102-12.mga6
+ Revision: 961500
- Mageia 6 Mass Rebuild

* Sat Aug 29 2015 cjw <cjw> 1.11.1522.102-11.mga6
+ Revision: 870784
- patch2: fix build with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 1.11.1522.102-10.mga5
+ Revision: 748460
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.11.1522.102-9.mga5
+ Revision: 727343
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.11.1522.102-8.mga5
+ Revision: 682610
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 luigiwalser <luigiwalser> 1.11.1522.102-7.mga5
+ Revision: 670348
- rebuild for protobuf

* Tue Dec 31 2013 dmorgan <dmorgan> 1.11.1522.102-6.mga4
+ Revision: 563511
- Rebuild against current protobuf

* Sat Oct 19 2013 umeabot <umeabot> 1.11.1522.102-5.mga4
+ Revision: 535047
- Mageia 4 Mass Rebuild

* Tue Sep 17 2013 fwang <fwang> 1.11.1522.102-4.mga4
+ Revision: 480794
- update file path

* Tue Sep 17 2013 fwang <fwang> 1.11.1522.102-3.mga4
+ Revision: 480788
- requires zinnia-tomoe

* Tue Sep 17 2013 fwang <fwang> 1.11.1522.102-2.mga4
+ Revision: 480774
- set compile flags

* Tue Sep 17 2013 fwang <fwang> 1.11.1522.102-1.mga4
+ Revision: 480767
- set environment flags
- update file list
- sync with fedora package

* Wed Feb 06 2013 fwang <fwang> 1.6.1187.102-5.mga3
+ Revision: 394909
- update file list
- create dir
- add tweaks from fedora

* Sat Jan 12 2013 umeabot <umeabot> 1.6.1187.102-4.mga3
+ Revision: 360305
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 pterjan <pterjan> 1.6.1187.102-3.mga3
+ Revision: 337510
- Fix for _libdir != _libexecdir

* Tue Oct 23 2012 fwang <fwang> 1.6.1187.102-2.mga3
+ Revision: 309374
- rebuild for new ibus

* Sun Sep 16 2012 fwang <fwang> 1.6.1187.102-1.mga3
+ Revision: 294322
- use libprotobuf
- use libprotobuf
- update br
- update dirname
- new version 1.6.1187.102
- new version 1.5.1053.102

* Sun Feb 12 2012 fwang <fwang> 1.3.975.102-1.mga2
+ Revision: 208130
- new version 1.3.975.102

* Mon Jan 02 2012 fwang <fwang> 1.3.931.102-1.mga2
+ Revision: 189560
- new version 1.3.931.102

* Sun Dec 04 2011 fwang <fwang> 1.3.911.102-1.mga2
+ Revision: 176156
- new version 1.3.911.102

* Sat Nov 19 2011 wally <wally> 1.2.831.102-3.mga2
+ Revision: 169150
- rebuild for new protobuf

* Sat Sep 24 2011 fwang <fwang> 1.2.831.102-2.mga2
+ Revision: 147488
- rebuild for new ibus

* Sat Sep 17 2011 fwang <fwang> 1.2.831.102-1.mga2
+ Revision: 144564
- new version 1.2.831.102

* Fri Sep 02 2011 fwang <fwang> 1.2.809.102-1.mga2
+ Revision: 137975
- new version 1.2.809.102
- add br
- new version 1.1.773.102
- imported package mozc


* Fri May 06 2011 Funda Wang <fwang@mandriva.org> 1.1.690.102-3mdv2011.0
+ Revision: 669838
- rebuild

* Tue Apr 26 2011 Funda Wang <fwang@mandriva.org> 1.1.690.102-2
+ Revision: 659324
- rebuild for new ibus

* Fri Apr 15 2011 Funda Wang <fwang@mandriva.org> 1.1.690.102-1
+ Revision: 653162
- new version 1.1.690.102

* Sat Mar 26 2011 Funda Wang <fwang@mandriva.org> 1.1.626.102-1
+ Revision: 648564
- new version  1.1.626.102

* Mon Nov 08 2010 Funda Wang <fwang@mandriva.org> 0.13.523.102-1mdv2011.0
+ Revision: 594979
- new version 0.13.523.102

* Mon Nov 08 2010 Funda Wang <fwang@mandriva.org> 0.13.464.102-2mdv2011.0
+ Revision: 594920
- rebuild for py 2.7

* Sat Sep 18 2010 Funda Wang <fwang@mandriva.org> 0.13.464.102-1mdv2011.0
+ Revision: 579332
- new version 0.13.464.102

* Thu Jul 15 2010 Funda Wang <fwang@mandriva.org> 0.12.410.102-1mdv2011.0
+ Revision: 553565
- new version 0.12.410.102

* Sun Jul 11 2010 Funda Wang <fwang@mandriva.org> 0.12.402.102-1mdv2011.0
+ Revision: 550887
- import mozc


